/********************************************************************************
 Author        : CAST 	macduan

 Date          : 2011-3-11

 Hardware      : ADuC7026+AD5668	
********************************************************************************/
#include<ADuC7026.h>
#include"AD5668_IO.h"
#include"ADuC7026_Driver.h"

//Delay;

void delay (int length)
{
	while (length >0)
    	length--;
}

/********************************************************************************
 WriteToAD5668ViaSpi();

 Function that writes to the AD5668 via the SPI port. It sends first the control word
 that includes the start address and then the data to write.
********************************************************************************/


void WriteToAD5668ViaSpi(long int *RegisterData)
{

	
	long int ValueToWrite = *RegisterData;
	int i;
	
	// SPI start

	SET_SYNC();
	delay(2);
	CLR_SYNC();	 //bring CS low
	delay(1);
	

	//Write out the ControlWord
	
	for(i=0; i<32; i++)
	{
		SET_SCLK();
		delay(1);
		if(0x80000000 == (ValueToWrite & 0x80000000))
		{
			SET_SDIN();	  //Send one to SDI pin
		}
		else
		{
			CLR_SDIN();	  //Send zero to SDI pin
		}
		delay(1);
		CLR_SCLK();
		delay(1);

		ValueToWrite <<= 1;	//Rotate data
		delay(2);

	}
		

    // SPI ends

	
	SET_SYNC();
    delay(1);

}